# Uses of Interface
net.shibboleth.idp.authn.AccountLockoutManager

Packages that use AccountLockoutManager
Package
Description
net.shibboleth.idp.authn
APIs related to the authentication of a subject.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of AccountLockoutManager in net.shibboleth.idp.authn

Subinterfaces of AccountLockoutManager in net.shibboleth.idp.authn
Modifier and Type
Interface
Description
`interface`
`EnumeratableAccountLockoutManager`
An extension to `AccountLockoutManager` that allows for enumeration over partial matches of a key.

## Uses of AccountLockoutManager in net.shibboleth.idp.authn.impl

Classes in net.shibboleth.idp.authn.impl that implement AccountLockoutManager
Modifier and Type
Class
Description
`class`
`StorageBackedAccountLockoutManager`
Implementation of `EnumeratableAccountLockoutManager` interface that relies on a `StorageService` to track lockout state.
Fields in net.shibboleth.idp.authn.impl declared as AccountLockoutManager
Modifier and Type
Field
Description
`private AccountLockoutManager`
DoLockoutManagerOperation.`lockoutManager`
`AccountLockoutManager` to operate on.
`private AccountLockoutManager`
ValidateCredentials.`lockoutManager`
Optional lockout management interface.
Methods in net.shibboleth.idp.authn.impl that return AccountLockoutManager
Modifier and Type
Method
Description
`private AccountLockoutManager`
DoLockoutManagerOperation.`getLockoutManager()`
Null safe getter.
`private AccountLockoutManager`
DoLockoutManagerOperation.`setupLockoutManager(RequestContext requestContext)`
Helper method to get the manager bean to operate on.
Methods in net.shibboleth.idp.authn.impl with parameters of type AccountLockoutManager
Modifier and Type
Method
Description
`void`
ValidateCredentials.`setLockoutManager(AccountLockoutManager manager)`
Set an account lockout management component.